import { OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import { ControlContainer } from '@angular/forms';
import { InjectableControl } from './injectable-control.model';
import * as i0 from "@angular/core";
export declare class InjectControlDirective implements OnChanges, OnDestroy {
    private readonly parent;
    private readonly host;
    constructor(parent: ControlContainer, host: InjectableControl);
    readonly controlName: string | number;
    set disabled(isDisabled: boolean);
    private originalControl?;
    private isDisabled?;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private _setUpControl;
    private _tearDownControl;
    static ɵfac: i0.ɵɵFactoryDeclaration<InjectControlDirective, [null, { host: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<InjectControlDirective, "[injectControl]", never, { "controlName": "injectControl"; "disabled": "disabled"; }, {}, never>;
}
